# JDT Icons

## Objects

| Compilation unit (*.java file)
| Java file which is not on a build path
| Class file
| Generic file (unknown content type)
| Unknown object
| Java scrapbook page (*.jpage file)
| Java scrapbook page (evaluation in progress)
| JAR description file
| JUnit test result file
| Java working set
| Java model
| Library container
| JAR file with attached source
| JAR file without attached source
| Class folder with attached source
| Class folder without attached source
| Source folder
| Package
| Empty package
| Logical package
| Empty logical package
| Package only containing non Java resources
| Package declaration
| Import container
| Import
| Class (public)
| Interface (public)
| Enum type (public)
| Annotation type (public)
| Package visible class
| Private class
| Protected class
| Default field (package visible)
| Private field
| Protected field
| Public field
| Default method (package visible)
| Private method
| Protected method
| Public method

## Object adornments

| Marks project as Java project
| Decorates files and folders if they are on the build path of their enclosing Java project
| Decorates Java projects and source folders where all optional compile problems are ignored
| Decorates Java projects and working sets that contain build path errors
| This Java element causes an error
| This Java element causes a warning
| This Java element causes an info problem
| This Java element is deprecated
| Constructor
| Abstract member
| Final member
| Static member
| Default method
| Synchronized member
| Native method
| Transient field
| Volatile field
| Type with public static void main(String[] args)
| Implements method
| Overrides method
| Type with focus in Type Hierarchy or Quick Outline/Hierarchy
| Maximal expansion level in Call Hierarchy
| Recursive call in Call Hierarchy
| Compilation unit containing an abstract class as primary type
| Compilation unit containing an interface as primary type
| Compilation unit containing an enum as primary type
| Compilation unit containing an annotation as primary type

## Build path

| Class path variable
| JAR with attached source
| JAR without attached source
| System library
| Build path ordering
| Inclusion filter
| Exclusion filter
| Access rules
| Javadoc location
| Source attachment
| Native library location
| Output folder

## Code assist

| HTML tag
| Javadoc tag
| Local variable
| Template
| SWT template

## Compare

| Field
| Method

## Debugger

| Debug launch
| Run launch
| Terminated run launch
| Process
| Terminated process
| Debug target
| Suspended debug target
| Terminated debug target
| Thread
| Suspended thread
| Stack frame
| Running stack frame
| Adornment that marks a stack frame that may be out of synch with the target VM as a result of an unsuccessful hot code replace
| Adornment that marks a stack frame that is out of synch with the target VM as a result of an unsuccessful hot code replace
| Inspected object or primitive value
| Watch expression
| Local variable
| Monitor
| A monitor in contention
| A thread in contention for a monitor
| A monitor that is owned by a thread
| A thread that owns a monitor
| Current instruction pointer (top of stack)
| Current instruction pointer
| Enabled line breakpoint
| Disabled line breakpoint
| Adornment that marks a breakpoint as skipped
| Adornment that marks a line breakpoint as installed
| Adornment that marks a breakpoint as conditional
| Adornment that marks an entry method breakpoint
| Adornment that marks an exit method breakpoint
| Field access watchpoint
| Field modification watchpoint
| Field access and modification watchpoint
| Adornment that marks a watchpoint as installed
| Exception breakpoint
| Runtime exception breakpoint
| Disabled exception breakpoint
| Adornment that marks an exception breakpoint as caught
| Adornment that marks an exception breakpoint as uncaught
| Adornment that marks an exception breakpoint as scoped
| Adornment that marks an exception breakpoint as installed

## Editor

| Implements
| Overrides
| Quick assist available
| Search match

## JUnit

| Test
| Currently running test
| Successful test
| Failing test
| Test throwing an exception
| Ignored test
| Test with an assumption failure
| Test suite
| Currently running test suite
| Successfully completed test suite
| Test suite with failing test
| Test suite with exception throwing test
| Caught exception
| Stack frame element

## NLS tools

| Skipped NLS key
| Translated NLS key
| Untranslated NLS key

## Quick fix

| Quick fixable error
| Quick fixable warning
| Add
| Change
| Change cast
| Fix multiple problems
| Move to another package
| Remove
| Remove import
| Rename
| Rename in file
| Surround with try/catch

## Refactoring

| General change
| Composite change
| Text change
| File change
| Stop error
| Error
| Warning
| Information
| Change filter

## Search

| Java Search
| Search for declarations
| Search for references

## Search - Occurrences in File

| A general match
| Read access to local or field
| Write access to local or field

## Type Hierarchy view

| Type outside of selected package
| Interface outside of selected package